Name:		haveged
Version:	1.9.19
Release:	%mkrel 1
Summary:	A simple entropy daemon
Group:		Text tools
License:	GPLv3+
URL:		https://www.issihosts.com/haveged/
Source0:	https://github.com/jirka-h/haveged/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libsystemd)

Requires(post):		rpm-helper >= 0.24.8-1
Requires(preun):	rpm-helper >= 0.24.8-1

%description
The haveged project is an attempt to provide an easy-to-use, unpredictable
random number generator based upon an adaptation of the HAVEGE algorithm.
Haveged was created to remedy low-entropy conditions in the Linux random
device that can occur under some workloads, especially on headless servers.

%prep
%autosetup -p1

%build
%configure --disable-static --disable-shared --enable-init=service.fedora
%make_build

%check
%__make check

%install
%make_install

rm -f %{buildroot}%{_includedir}/haveged/havege*.h \
      %{buildroot}%{_libdir}/libhavege.a \
      %{buildroot}%{_libdir}/libhavege.la \
      %{buildroot}%{_mandir}/man3/libhavege.3

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README AUTHORS ChangeLog NEWS
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*


%changelog
* Sun Jul 06 2025 daviddavid <daviddavid> 1.9.19-1.mga10
+ Revision: 2247662
- new version: 1.9.19

* Sat Jun 28 2025 umeabot <umeabot> 1.9.18-2.mga10
+ Revision: 2216779
- Mageia 10 Mass Rebuild

* Sat Dec 10 2022 ghibo <ghibo> 1.9.18-1.mga9
+ Revision: 1920305
- Update to release 1.9.18

* Thu Mar 24 2022 umeabot <umeabot> 1.9.17-2.mga9
+ Revision: 1824605
- Mageia 9 Mass Rebuild

* Thu Jan 20 2022 mrambo3501 <mrambo3501> 1.9.17-1.mga9
+ Revision: 1769329
- version 1.9.17

* Tue Mar 02 2021 daviddavid <daviddavid> 1.9.14-1.mga9
+ Revision: 1696116
- new version: 1.9.14

* Thu Nov 19 2020 daviddavid <daviddavid> 1.9.13-1.mga8
+ Revision: 1647703
- new version: 1.9.13

* Sun Feb 16 2020 umeabot <umeabot> 1.9.8-2.mga8
+ Revision: 1535248
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Oct 11 2019 daviddavid <daviddavid> 1.9.8-1.mga8
+ Revision: 1451696
- new version: 1.9.8

* Mon Aug 26 2019 daviddavid <daviddavid> 1.9.6-1.mga8
+ Revision: 1432455
- new version: 1.9.6
- upstream development has moved to github

* Sun Sep 23 2018 umeabot <umeabot> 1.9.2-2.mga7
+ Revision: 1298169
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build
+ kostuek <kostuek>
- new version 1.9.2

* Thu Feb 11 2016 umeabot <umeabot> 1.7c-5.mga6
+ Revision: 954363
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7c-4.mga5
+ Revision: 746187
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7c-3.mga5
+ Revision: 680087
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.7c-2.mga4
+ Revision: 536696
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 boklm <boklm> 1.7c-1.mga4
+ Revision: 485378
- update to version 1.7c
- remove init script
- use upstream systemd service file
- add makefile patch to correctly install systemd service file

* Sat Jan 12 2013 umeabot <umeabot> 1.5-2.mga3
+ Revision: 353116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 17 2012 fedya <fedya> 1.5-1.mga3
+ Revision: 281785
- version update 1.5

* Sat Apr 28 2012 tmb <tmb> 1.4-3.mga2
+ Revision: 233726
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sun Apr 22 2012 guillomovitch <guillomovitch> 1.4-2.mga2
+ Revision: 232623
- systemd support
- spec cleanup

* Wed Mar 07 2012 boklm <boklm> 1.4-1.mga2
+ Revision: 221193
- imported package haveged

